SSTableFormat (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.io.sstable.format

## Interface SSTableFormat

- All Known Implementing Classes:
    BigFormat

      public interface SSTableFormat

  Provides the accessors to data on disk.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `SSTableFormat.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `enableSSTableDevelopmentTestMode`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractCompactedRow` | `getCompactedRowWriter(CompactionController controller, com.google.common.collect.ImmutableList<OnDiskAtomIterator> onDiskAtomIterators)`
    `RowIndexEntry.IndexSerializer<?>` | `getIndexSerializer(CFMetaData cfm)`
    `Version` | `getLatestVersion()`
    `java.util.Iterator<OnDiskAtom>` | `getOnDiskIterator(FileDataInput in, ColumnSerializer.Flag flag, int expireBefore, CFMetaData cfm, Version version)`
    `SSTableReader.Factory` | `getReaderFactory()`
    `Version` | `getVersion(java.lang.String version)`
    `SSTableWriter.Factory` | `getWriterFactory()`

- - ### Field Detail

    - #### enableSSTableDevelopmentTestMode

          static final boolean enableSSTableDevelopmentTestMode

  - ### Method Detail

    - #### getLatestVersion

          Version getLatestVersion()

    - #### getVersion

          Version getVersion(java.lang.String version)

    - #### getWriterFactory

          SSTableWriter.Factory getWriterFactory()

    - #### getReaderFactory

          SSTableReader.Factory getReaderFactory()

    - #### getOnDiskIterator

          java.util.Iterator<OnDiskAtom> getOnDiskIterator(FileDataInput in,
                                                           ColumnSerializer.Flag flag,
                                                           int expireBefore,
                                                           CFMetaData cfm,
                                                           Version version)

    - #### getCompactedRowWriter

          AbstractCompactedRow getCompactedRowWriter(CompactionController controller,
                                                     com.google.common.collect.ImmutableList<OnDiskAtomIterator> onDiskAtomIterators)

    - #### getIndexSerializer

          RowIndexEntry.IndexSerializer<?> getIndexSerializer(CFMetaData cfm)

Copyright © 2018 The Apache Software Foundation